Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: proton-c-0.27.0
    • Fix Version/s: proton-c-0.27.1
    • Component/s: None
    • Labels:
      None

      Description

      Similar to FreeRDP/FreeRDP#5049(https://github.com/FreeRDP/FreeRDP/issues/5049)
      libressl has `#define OPENSSL_VERSION_NUMBER ` defined the same as
      openssl 1.1.x which results in SSL_CTX_set_security_level() getting used.

      This patch prevents SSL_CTX_<get/set>_security_level() from being used with
      libressl.

       

      https://github.com/apache/qpid-proton/pull/175

        Attachments

          Activity

            People

            • Assignee:
              astitcher Andrew Stitcher
              Reporter:
              matthew-l-weber Matthew Weber
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: